qmmp (2.3.0-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.3.0

  [ Matteo Cypriani ]
  * d/control: Updated dependencies & description
  * d/copyright: Removed refs to non-existent files
  * d/control: Dropped redundant Rules-Requires-Root
  * d/watch: Switched to format version 5

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 25 Oct 2025 15:56:00 +0200

qmmp (2.2.8-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.2.8

  [ Matteo Cypriani ]
  * Depend on liboss4-salsa-dev instead of oss4-dev (Closes: #1111849)

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 24 Aug 2025 17:29:06 +0200

qmmp (2.2.7-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.2.7
    + upstream fixed build errors for QT 6.9 (Forky) in qmmp 2.2.4
      (Closes: #1097702)

  [ Matteo Cypriani ]
  * d/rules: Make kwin6.sh executable

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 17 Aug 2025 15:04:38 +0200

qmmp (2.2.5-1) unstable; urgency=medium

  * new upstream version 2.2.5

 -- Harald Dunkel <harri@afaics.de>  Mon, 28 Apr 2025 18:12:30 +0200

qmmp (2.2.4-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.2.4
    + dropped obsolete 0002-Fix-taglib-2.x-compatibility.patch
  * debian/rules: delete debian/files for make clean

  [ Matteo Cypriani ]
  * Dropped obsolete lintian override
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Harald Dunkel <harri@afaics.de>  Sun, 30 Mar 2025 12:35:14 +0200

qmmp (2.2.3-1) unstable; urgency=medium

  * Acknowledging NMU
  * New upstream version 2.2.3
    + Dropped 0001-qmmp.appdata.xml-Use-rDNS-identifier.patch
      (merged upstream)
    + Refreshed 0002-Fix-taglib-2.x-compatibility.patch
  * Updated d/copyright

 -- Harald Dunkel <harri@afaics.de>  Sat, 25 Jan 2025 11:35:32 +0100

qmmp (2.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Use up-to-date taglib 2.x build-dependency package name:
    libtag1-dev => libtag-dev.
  * debian/patches/0002-Fix-taglib-2.x-compatibility.patch:
    Add patch to fix taglib 2.x compatibility.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 21:10:58 -0500

qmmp (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2
    + d/control: Updated dependencies for Qmmp 2 (Qt 6) [ Harald Dunkel ]
    + Reverted to qmmp instead of qmmp-1 [ Matteo Cypriani ]
    + Updated manpage qmmp.1 [ Matteo Cypriani ]

  [ Harald Dunkel ]
  * Bump Standards-Version to 4.7.0 (no changes needed)

  [ Matteo Cypriani ]
  * d/control: Added Harald Dunkel as a co-maintainer
  * d/control: Dropped build depends on obsolete pkg-config
  * d/control: Recommend freepats (Closes: #1068028)
  * d/watch: Updated for new upstream hierarchy
  * Updated d/copyright
  * Added "wtH" lintian override
  * d/rules: Simplified hardening flags
  * Added qmmp.appdata.xml patch to use rDNS identifier

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 24 Nov 2024 22:47:44 +0100

qmmp (1.6.2-1) unstable; urgency=medium

  * New upstream version (Closes: #1009894).
    + Updated d/copyright.
    + d/control: updated package description.
    + d/control: updated dependencies.
    + d/rules: updated build options to match added/dropped dependencies.
  * New upstream version renames qmmp to qmmp-1.
    + d/rules: fixed "qmmp-1" path. [ Harald Dunkel ]
    + Renamed manpage to qmmp-1.1.
    + Added d/qmmp.links to provide /usr/bin/qmmp and
      /usr/share/man/man1/qmmp.1.gz symlinks.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * d/upstream/metadata: dropped Donation (no donation page on upstream's
    website).

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 23 Nov 2022 21:30:17 +0100

qmmp (1.4.4-1) unstable; urgency=medium

  * New upstream version.

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 22 Feb 2021 21:02:09 +0100

qmmp (1.4.3-2) unstable; urgency=medium

  * qmmp-plugin-projectm architectures:
    + Cleaned up architecture list (added: ia64, ppc64, riscv64; removed:
      mips, powerpcspe)
    + Disabled for hurd.

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 17 Jan 2021 20:33:20 +0100

qmmp (1.4.3-1) unstable; urgency=medium

  * Acknowledging NMU.
  * Restored qmmp-plugin-projectm (projectm is back in Debian).
  * New upstream version.
    + Updated d/copyright.
    + Updated package description.
    + Updated qmmp.1 manpage.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * Bump dh compat to 13, quit using d/compat.
  * d/control: added Rules-Requires-Root field.
  * d/control: suggest ffmpeg.
  * Override lintian warning about "apparence".
  * d/rules: quit building with -Wl,--as-needed.
  * d/rules: install plugins in /usr/lib/qmmp/plugins/ rather than in
    /usr/lib/qmmp/qmmp/.

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 10 Jan 2021 13:20:17 +0100

qmmp (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop qmmp-plugin-projectm, projectm is being removed (Closes: #952775)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 03 Mar 2020 21:44:54 +0100

qmmp (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 05 Mar 2019 23:38:04 +0100

qmmp (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 04 Mar 2019 23:19:56 +0100

qmmp (1.2.6-2) unstable; urgency=medium

  * Dropped patch "Quit including moc_hotkeymanager.cpp", as it breaks the
    libhotkey.so plugin. See https://sourceforge.net/p/qmmp-dev/tickets/963/

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 03 Feb 2019 16:06:39 +0100

qmmp (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Switch to debhelper compatibility level 12

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 23 Jan 2019 20:15:21 +0100

qmmp (1.2.2-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream version. Closes: #888362.
  * Update debian/copyright
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 13 Jun 2018 22:04:33 +0200

qmmp (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.
    + Add libarchive and libshout as build-depends to enable new features.
    + Update package description.
  * Add patch: Quit including moc_hotkeymanager.cpp. Closes: #891215.
  * Don'd depend on transitional dummy package ttf-dejavu-core, use
    fonts-dejavu-core instead. Closes: #885568.
  * Add missing build-depend qttools5-dev.
  * Bump Standards-Version to 4.1.3 (no changes needed).
  * Switch to debhelper compat 11 (no changes needed).
  * Update Vcs URLs to salsa.d.o.
  * Update copyright and upstream/metadata.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 08 Mar 2018 21:49:21 +0100

qmmp (1.1.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on qttools5-dev. Closes: #881084.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Nov 2017 18:35:41 +0100

qmmp (1.1.10-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream release. Closes: #855826, #857962.
  * Bump Standards-Version to 4.1.0 (no changes needed).
  * projectm: add missing Depends on ttf-dejavu-core.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 24 Aug 2017 20:39:12 -0400

qmmp (1.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-dependency on oss4-dev on Linux kernel (Closes: #852986)
    - d/rules: explicitly disable OSS4 on Linux, for predictability

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2017 12:00:10 +0000

qmmp (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Suggest mplayer instead of mplayer2. (Closes: #841193)
  * Switch to debhelper compat 10.

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 16 Jan 2017 14:03:58 -0500

qmmp (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches (included upstream, not needed any more).
  * Update Build-Depends.
  * Update package description.

 -- Matteo Cypriani <mcy@lm7.fr>  Fri, 07 Oct 2016 09:00:36 -0400

qmmp (1.0.9-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream version 1.0.9.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.8.
  * Use DEB_BUILD_MAINT_OPTIONS to set hardening flags.
  * Use secure URIs for Vcs-Git and Vcs-Browser.
  * New patch: Fix conversion in wildmidi plugin (Closes: #835079).
  * New patch: Fix typo in "Highlighted".

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 18 Sep 2016 10:54:59 -0400

qmmp (1.0.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/{control,rules}: Do not build qmmp-plugin-projectm on armel and
    armhf. (Closes: #821443)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 May 2016 08:41:32 +0200

qmmp (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Update Build-Depends (switched to Qt5).
  * Remove debian/menu, according to #741573.

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 23 Jan 2016 13:55:24 +0100

qmmp (0.9.1-1) unstable; urgency=medium

  * New upstream release.
    + Fixed segfault with TTA-encoded files. (Closes: #792301)
  * Update debian/copyright.
  * Update debian/upstream/metadata: Qmmp has moved from Google Code to
    SourceForge.

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 30 Sep 2015 11:39:45 +0200

qmmp (0.8.2-1) unstable; urgency=low

  * New upstream release.
    + Removed patches (everything applied upstream).

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 20 Oct 2014 12:39:10 -0400

qmmp (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Adoption. (Closes: #750924)
  * Un-split the package: libqmmp* are now into the main qmmp package,
    installed as private libraries (/usr/lib/qmmp/libqmmp*).
  * Switch to debhelper 9 and format 3.0 (quilt).
  * Bump Standards-Version to 3.9.6.
  * debian/copyright:
    + Switch to format 1.0.
    + Full copyright review (thanks to Thomas Preud'homme): update dates, add
      missing authors, add missing exceptions.
    + Relicense debian/* under GPL-2+, with authorisation of the former
      maintainer, Eugene V. Lyubimkin (cf. #750924).
  * debian/control:
    + Simplify Build-Depends (remove most version numbers).
    + Add missing Build-Depends: qtchooser, libcdio-dev, libopus-dev,
      libopusfile-dev, libsidplayfp-dev, libenca-dev.
    + qmmp now Suggests mplayer2.
    + Add Vcs-Git and Vcs-Browser fields.
    + Update Homepage.
    + Update qmmp's Description.
  * debian/rules:
    + Simplify.
    + Don't call cmake directly, use dh_auto_configure instead.
    + Add verbose build variables (commented-out).
    + Add CPPFLAGS to CFLAGS and CXXFLAGS (fixes hardening).
    + Add -Wl,--as-needed to LDFLAGS to avoid unneeded dependencies for
      plugins.
  * debian/patches:
    + Actually remove 010-libav10-support.patch.
    + Add allows_one_to_typo.patch.
    + Add desktop_files.patch.
  * debian/watch: add "debian uupdate".
  * Add debian/upstream/metadata (DEP-12).
  * Add lintian override (spellcheck false positive on libqmmpui).
  * Remove useless debian/README.source.
  * Remove useless debian/README.Debian (Opus is supported now).

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 06 Oct 2014 17:03:56 -0400

qmmp (0.7.6-2) unstable; urgency=medium

  * debian/control:
    - Typo fix: s/conveter/converter/. (Closes: #746181)
    - Suggest udisks2 instead of udisks on linux. Already supported upstream
      since 0.7.0. (Closes: #750513)
    - libqmmpui-dev now depends on libqmmp-dev. Suggested by upstream.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 08 Jun 2014 17:27:05 +0300

qmmp (0.7.6-1) experimental; urgency=medium

  * New upstream release.
    - Uploading to experimental until libav10 transition is completed.
  * debian/patches:
    - 010-libav10-support.patch: removed, implemented in a different way
      upstream.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 23 Apr 2014 21:01:06 +0300

qmmp (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added quilt to Build-Depends.
    - Bumped Standards-Version to 3.9.5, no changes needed.
  * debian/rules:
    - Use quilt sequence.
  * debian/patches:
    - New patch '010-libav10-support.patch' by Sebastian Ramacher.
      (Closes: #739378)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 22 Feb 2014 15:02:54 +0200

qmmp (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated list of translators.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 26 Dec 2013 14:13:22 +0200

qmmp (0.7.3-1) unstable; urgency=low

  * New upstream relese.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 05 Oct 2013 16:53:22 +0300

qmmp (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.4, no changes needed.
  * debian/rules:
    - Use dpkg-provided buildflags if possible.
    - Enable verbose building.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 24 Jun 2013 21:28:47 +0300

qmmp (0.7.0-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated upstream copyrights and licenses.
  * debian/control:
    - Updated list of features.
  * debian/libqmmp{,ui}0.install:
    - Updated for 0.7.x upstream releases.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 21 Apr 2013 12:34:22 +0300

qmmp (0.6.6-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated upstream copyright years.
    - Updated list of translators.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 27 Jan 2013 15:49:22 +0200

qmmp (0.6.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Added missing epoch to build-depends on libqt4-dev. Thanks to
      Jakub Wilk's epoch-mismatch-finder.
    - Updated upstream feature list, added 'DSP effects' section.
  * debian/copyright:
    - Upstream upstream copyrights.
  * debian/libqmmp{,ui}0.install:
    - Updated for 0.6.x upstream releases.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 15 Sep 2012 16:30:42 +0300

qmmp (0.5.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes scrobbler failure when using Qt 4.8 (Closes: #673896)
  * debian/control:
    - Added 'oss4-dev' to Build-Depends as upstream now enables OSS4 output
      plugin by default.
    - Bumped Standards-Version to 3.9.3, no changes needed.
  * debian/README.Debian:
    - Removed with obsolete BS2B info (BS2B plugin was enabled in 0.5.2-1).
  * debian/copyright:
    - Updated Slovak translator's mail address.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 28 May 2012 13:33:17 +0300

qmmp (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 01 Mar 2012 21:45:26 +0200

qmmp (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - FFMpeg input plugin: include libavutil header properly.
      (Closes: #657939)
  * debian/copyright:
    - Updated copyright years.
  * debian/patches:
    - 100-add-missing-includes-for-libav0.8.patch: deleted, upstream
      has applied its own fix.
  * debian/control:
    - Removed quilt build-dependency.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 04 Feb 2012 18:58:16 +0200

qmmp (0.5.2-2) unstable; urgency=medium

  * debian/control:
    - Added quilt to Build-Depends.
  * debian/rules:
    - Apply patches using quilt.
    - Don't use deprecated 'dh --before' and 'dh --after'.
  * debian/README.source:
    - Added with standard quilt instructions.
  * debian/patches:
    - New patch debian/patches/100-add-missing-includes-for-libav0.8.patch.
      The idea of the patch by Reinhard Tartler. Fixes FTBFS. (Closes: #654222)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 14 Jan 2012 13:19:00 +0200

qmmp (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes opening playing list menu with multi-item selection.
      (Closes: #629185)
  * debian/copyright:
    - Updated translator list.
  * debian/control:
    - Added a build-dependency on libbs2b-dev.
  * debian/rules:
    - Enabled bs2b plugin.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 09 Sep 2011 18:51:01 +0300

qmmp (0.5.1-1) unstable; urgency=low

  * debian/control:
    - Added 'libgme-dev' to build-depends.
    - Bumped Standards-Version to 3.9.2, no changes needed.
  * debian/README.Debian:
    - Game-music-emu support is enabled now.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 02 Jun 2011 20:08:13 +0300

qmmp (0.5.0-2) unstable; urgency=low

  * debian/control:
    - Removed build-depends on libasound-dev on non-linux architectures
      until #620627 is fixed. (Closes: #620559)
  * debian/rules:
    - [Pino Toscano] Use udisks on linux architectures only, and HAL on
      non-linux architectures only. (Closes: #623493)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 24 Apr 2011 13:55:39 +0300

qmmp (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped libqt4-dev build dependency to (>= 4.6.0).
    - Added a build dependency on libwildmidi-dev (>= 0.2.3.4).
    - Updated qmmp's long description.
    - Bumped libavcodev-dev and libavformat-dev build dependencies to
      (>= 4:0.5.0).
  * debian/copyright:
    - Updated upstream copyrights.
  * debian/README.Debian:
    - Made a note about disabled output through OSS4.
    - Made a note about disabled GME plugin.
  * debian/libqmmp{,ui}0.install:
    - Updated for 0.5.x upstream releases.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 02 Apr 2011 17:23:07 +0300

qmmp (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updated lyrics source page in the long description.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 20 Mar 2011 12:22:52 +0200

qmmp (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated copyright years.
    - Updated 'Translators' section.
  * debian/control:
    - Removed duplicate 'Section' field for qmmp-plugin-projectm.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 16 Feb 2011 19:12:55 +0200

qmmp (0.4.3-1) experimental; urgency=low

  * New upstream release.
  * debian/libqmmp{,ui}0.install:
    - Updated for new and all 0.4.x upstream releases.
  * debian/copyright:
    - Updated packaging copyright.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 11 Nov 2010 20:53:29 +0200

qmmp (0.4.2-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated 'Translators' section.
  * debian/libqmmp{,ui}0.install:
    - Updated for new upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 10 Sep 2010 19:54:13 +0300

qmmp (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated 'Translators' section.
  * debian/control:
    - Added build-dependency on 'libcddb2-dev' package.
  * debian/libqmmp{,ui}0.install:
    - Updated for new upstream release.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 18 Jun 2010 18:55:29 +0300

qmmp (0.4.0-1) experimental; urgency=low

  * New upstream release.
    - Qmmp now can setup shortcuts with Up and Down keys. (Closes: #575568)
  * debian/copyright:
    - Updated 'Base on' section.
    - Updated 'Plugin developers' section.
  * debian/control:
    - Updated long description of the 'qmmp' package.
    - Bumped build-dependency versions of the 'libqt4-dev', 'cmake',
      'libpulse-dev', 'libtag1-dev' packages.
    - Added build-dependency on libmms-dev.
  * debian/libqmmp{,ui}0.install:
    - Updated for new upstream release.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 02 May 2010 21:21:40 +0300

qmmp (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated 'translators' section.
  * debian/control:
    - Bumped Standards-Version to 3.8.4, no changes needed.
  * debian/libqmmp{,ui}0.install:
    - Updated for new upstream release.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 11 Mar 2010 17:27:25 +0200

qmmp (0.3.2-1) unstable; urgency=low

  * New upstream release.
    - Added metacity compatibility mode. Thanks to Norbert Preining
      for the reporting. (Closes: #553126)
  * debian/control:
    - Removed 'x11proto-xf86misc-dev' build-dependency (Closes: #559704).
  * debian/copyright:
    - Updated copyright years.
  * debian/libqmmp{,ui}0.install:
    - Updated for new upstream release.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 17 Jan 2010 11:24:54 +0200

qmmp (0.3.1-1) unstable; urgency=low

  * New upstream release.
    - Removed broken LyricWiki.org support, added lyricsplugin.com instead.
      (Closes: #539822)
  * debian/libqmmp{,ui}0.install:
    - Updated for new upstream release.
  * debian/control:
    - Mentioned supported 'lyricsplugin.com' instead of dropped lyricwiki.org.
  * debian/copyright:
    - Updated translators.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 01 Nov 2009 11:02:40 +0200

qmmp (0.3.0-3) unstable; urgency=low

  * debian/control:
    - Added 'unzip' to Suggests for unpacking external skins.
      (Closes: #539876)
    - Bumped Standards-Version to 3.8.3, no changes needed.
    - Updated my mail address.
    - Removed 'DM-Upload-Allowed', it's not needed anymore.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 09 Sep 2009 10:48:22 +0300

qmmp (0.3.0-2) unstable; urgency=low

  * debian/control:
    - Removed 'get-orig-source' target.
    - Enable building CD Audio plugin as unstable now has appropriate libcdio.
    - Added build dependency on libcdio-paranoia-dev for CD Audio.
    - Added build dependency on x11-dev and x11proto-xf86misc-dev to enable
      global hotkey support.
    - Fixed defining variables in cmake invocation.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Tue, 28 Jul 2009 21:05:10 +0300

qmmp (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.8.2, no changes needed.
    - Don't require libmpcdec-dev from experimental.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 04 Jul 2009 22:51:41 +0300

qmmp (0.3.0~svn989-1) experimental; urgency=low

  * New upstream development snapshot, some changes:
    - Fixed adding streams from command line.
    - Scrobbler: fixed problem with tags that contain the '&' sign.
    - Fixed audio distortion in the end of file.
    - Ported OSS audio plugin.
    - Ported JACK audio plugin.
    - Updated translations: Ukrainian, German, Polish.
  * debian/README.Debian
    - Remove JACK plugin note from list of disabled features, upstream has
      enabled it.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Tue, 30 Jun 2009 13:21:57 +0300

qmmp (0.3.0~svn953-1) experimental; urgency=low

  * New upstream development snapshot, some changes:
    - Added Italian translation.
    - Added file operations plugin.
    - Removed Qt3 file dialog example plugin.
    - Removed CSV playlist plugin.
    - Scrobbler: added libre.fm support.
    - Scrobbler: added offline mode.
    - Fixed segfault with resuming on empty playlist.
    - Fixed WavPack with embedded CUE support.
    - Some improvements in CUE support.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Tue, 19 May 2009 22:24:38 +0300

qmmp (0.3.0~svn916-1) experimental; urgency=low

  * New upstream development snapshot, some changes:
    - Added AAC support
    - Added CUE sheet support.
    - Added video playback via mplayer.
    - Added MPRIS support.
    - Added lyrics support (using LyricWiki.org).
    - Added device detection (via HAL) support.
    - Added global hotkey support.
    - Added projectm visualization.
    - Ported to new libmpcdec. (Closes: #520596, #520612)
    - Added Polish translation.
  * debian/control:
    - Make libqmmp* shared library packages suggest qmmp, not recommend it.
    - Updated long description for qmmp.
    - Added libfaad-dev and libprojectm-dev to build dependencies.
    - Allow DM uploads.
    - Bump 'Standards-Version' to 3.8.1, no changes needed.
    - Bump libmpcdec-dev dependency to (>= 2:0.1~r435) according to switch to
      new Musepack format.
    - Added libqt4-opengl-dev to build dependencies for libprojectm.
    - Introduced new 'qmmp-plugin-projectm' binary package for projectm
      plugin, it pulls too many additional dependencies.
    - Bumped debhelper dependency to (>= 7.0.50) for overrides.
    - Added some '--' to short descriptions.
  * debian/libqmmp{,ui}.install:
    - Updated paths.
  * debian/rules:
    - Disable building CD Audio, BS2B plugins.
    - Independently install projectM plugin into its own binary package.
  * debian/copyright:
    - Updated.
  * debian/README.Debian:
    - Added.
  * debian/docs:
    - ChangeLog.svn removed from upstream package, don't try to install it.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 27 Apr 2009 20:18:09 +0300

qmmp (0.2.3-1) unstable; urgency=low

  * New upstream release:
    - added recent ffmpeg support
    - fixed Russian translation
    - added French translation (Stanislas Zeller)
    - fixed audio port in the jack plugin (Adrian Knoth)
    - fixed memory leak
    - fixed playlist loading when using drag and drop and command line
    - fixed crash on exit with enabled visualization
    - fixed playlist file parsing
    - fixed main visualization flickering
    - fixed modplug build (Closes: #505047)
    - added enter hotkey support in the jump dialog
    - fixed segmentation fault in the PulseAudio plugin
    - added OSS4 support (Yuriy Zhuravlev)
    - fixed notification bug
    - fixed critical bug in the settings dialog
    - removed duplicate --next command line option (Adrian Knoth)

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 05 Dec 2008 21:33:21 +0200

qmmp (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updates years of Yuriy Zhuravlev's copyright.
  * debian/rules:
    - Added support of 'parallel=n' in DEB_BUILD_OPTIONS.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 30 Aug 2008 19:47:28 +0300

qmmp (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 010-fix-lrelease-search.patch: removed, upstream has fixed the issue.
    - 050-remove-deprecated-from-desktop.patch: removed, merged upstream.
    - No patches remains, remove debian/patches directory.
  * debian/rules:
    - Cleanup.
  * debian/control:
    - Removed build dependency on quilt.
    - Bumped modplug-dev dependency to (>= 1:0.8.4) as how author recommends.
    - Wrapped long lines.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 15 Aug 2008 22:31:30 +0300

qmmp (0.2.0-3) unstable; urgency=low

  * debian/copyright:
    - Added LGPLv2.1 clause, as it used for some files in the
      project.
    - Added more info from AUTHORS file.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 09 Aug 2008 11:48:45 +0300

qmmp (0.2.0-2) unstable; urgency=low

  * debian/copyright:
    - Updated, added translators to copyrights.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 08 Aug 2008 21:46:47 +0300

qmmp (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #492106)

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Wed, 23 Jul 2008 20:48:18 +0300
